/* Dark mode styles */
body {
    background-color: #121212;
    color: #ffffff;
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

.container {
    text-align: center;
    background-color: #1e1e1e;
    padding: 50px;
    border-radius: 10px;
    width: 300px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
}

h1 {
    margin-bottom: 20px;
}

.avatar-container {
    display: inline-block;
    border-radius: 42%;
    border: 4px solid red; /* Change color dynamically */
    padding: 0; /* Ensure no extra spacing */
    overflow: hidden; /* Crop any extra space */
    width: 100px; /* Match avatar size */
    height: 100px;
}

.avatar {
    width: 100%;
    height: 100%;
    object-fit: cover; /* Ensure image fills the container */
    display: block; /* Remove any inline spacing issues */
}
.social-links {
    margin-top: 20px;
    display: flex;
    justify-content: center;
    gap: 15px;
}

.social-links a {
    color: #ffffff;
    font-size: 24px;
    transition: color 0.3s ease-in-out, transform 0.2s ease-in-out;
}

.social-links a:hover {
    color: #ffffff; /* Spotify Green */
    transform: scale(1.2);
}




.online { border-color: #43b581; box-shadow: 0 0 10px #43b581;}    /* Green */
.idle { border-color: #faa61a; box-shadow: 0 0 10px #faa61a;}      /* Yellow */
.dnd { border-color: #f04747; box-shadow: 0 0 10px #f04747;}       /* Red */
.offline { border-color: #747f8d; box-shadow: 0 0 10px #747f8d;}   /* Grey */

.discord-info p, .time p {
    margin: 10px 0;
    font-size: 18px;
}

.spotify-container {
    margin-top: 20px;
    padding: 10px;
    background-color: #282828;
    border-radius: 10px;
    text-align: center;
    color: #1db954;
    margin-bottom: 20px;
}

.phone{
    display: none;
}

.avatar-container, .spotify-container, .album-cover {
    transition: transform 0.3s ease-in-out;
}

.avatar-container:hover, .spotify-container:hover {
    transform: scale(1.05);
}


.album-cover {
    width: 100px;
    height: 100px;
    border-radius: 10px;
    margin-top: 10px;
}
